<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/fragment_terminal"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:clickable="true"
    tools:context=".ui.terminal.TerminalFragment">

    <ScrollView
        android:id="@+id/scrollView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginBottom="10dp"
        android:scrollbars="horizontal|vertical"
        app:layout_constraintBottom_toTopOf="@+id/divider2"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <HorizontalScrollView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/terminal_textView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="serif-monospace"
                    android:text="TextView"
                    android:textColor="#FFFFFF" />

            </LinearLayout>
        </HorizontalScrollView>
    </ScrollView>

    <View
        android:id="@+id/divider2"
        android:layout_width="0dp"
        android:layout_height="2dp"
        android:layout_marginBottom="10dp"
        android:background="@drawable/background_full"
        app:layout_constraintBottom_toTopOf="@+id/terminal_edit_text"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <EditText
        android:id="@+id/terminal_edit_text"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_marginStart="10dp"
        android:layout_marginBottom="10dp"
        android:ems="10"
        android:fontFamily="serif-monospace"
        android:hint="@string/command"
        android:imeOptions="actionDone"
        android:inputType="text"
        android:textColor="#FFFFFF"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/send_button"
        app:layout_constraintStart_toStartOf="parent" />

    <Button
        android:id="@+id/send_button"
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:layout_marginEnd="10dp"
        android:layout_marginBottom="10dp"
        android:background="@drawable/button_right"
        android:text="@string/send"
        app:backgroundTint="@null"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>